Bug 1471882 - [abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by signal 11
[abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:25a96a0e9c1d4dccec7da41dc44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 10:59 EDT by Joachim Frieben
Modified: 2018-05-29 08:10 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.37 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: core_backtrace (24.23 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: cpuinfo (1006 bytes, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: dso_list (15.37 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: environ (3.21 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: maps (78.54 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: open_fds (3.75 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details
File: var_log_messages (301 bytes, text/plain)
2017-07-17 10:59 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2017-07-17 10:59:26 EDT
Version-Release number of selected component:
shotwell-0.26.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        shotwell file:///run/media/frieben/SD512M
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=ac04244c790f4e229ea8422e9c44aa15;i=141d6;b=b7423e34eeba4ad3b12d0d3758dd916c;m=3efef56c1;t=5546cfe8731dd;x=8e6f04acb61f6706
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:494
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:316
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:683
 #3 _g_closure_invoke_va at gclosure.c:867
 #6 gtk_widget_realize at gtkwidget.c:5461
 #14 single_photo_page_blank_display at /home/jens/Source/shotwell/src/Page.vala:2186
 #15 import_queue_page_on_import_complete at /home/jens/Source/shotwell/src/library/ImportQueuePage.vala:195
 #16 _import_queue_page_on_import_complete_batch_import_import_complete at /home/jens/Source/shotwell/src/library/ImportQueuePage.vala:86
 #20 g_signal_emit_by_name at gsignal.c:3487
 #21 batch_import_report_completed at /home/jens/Source/shotwell/src/BatchImport.vala:621
Comment 1 Joachim Frieben 2017-07-17 10:59:33 EDT
Created attachment 1299895 [details]
File: backtrace
Comment 2 Joachim Frieben 2017-07-17 10:59:34 EDT
Created attachment 1299896 [details]
File: cgroup
Comment 3 Joachim Frieben 2017-07-17 10:59:36 EDT
Created attachment 1299897 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2017-07-17 10:59:37 EDT
Created attachment 1299898 [details]
File: cpuinfo
Comment 5 Joachim Frieben 2017-07-17 10:59:39 EDT
Created attachment 1299899 [details]
File: dso_list
Comment 6 Joachim Frieben 2017-07-17 10:59:40 EDT
Created attachment 1299900 [details]
File: environ
Comment 7 Joachim Frieben 2017-07-17 10:59:42 EDT
Created attachment 1299901 [details]
File: exploitable
Comment 8 Joachim Frieben 2017-07-17 10:59:43 EDT
Created attachment 1299902 [details]
File: limits
Comment 9 Joachim Frieben 2017-07-17 10:59:46 EDT
Created attachment 1299903 [details]
File: maps
Comment 10 Joachim Frieben 2017-07-17 10:59:47 EDT
Created attachment 1299904 [details]
File: open_fds
Comment 11 Joachim Frieben 2017-07-17 10:59:48 EDT
Created attachment 1299905 [details]
File: proc_pid_status
Comment 12 Joachim Frieben 2017-07-17 10:59:50 EDT
Created attachment 1299906 [details]
File: var_log_messages
Comment 13 Frank Büttner 2017-12-06 07:53:09 EST
Similar problem has been detected:

Save an file

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        shotwell /tmp/Foto0456.jpg
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=7986b23d758a4fc2b6d4ba0dc89e2c7c;i=e898;b=04cb669e3acb4ab197f232b162a6a95e;m=1a415fda7;t=55fab36a7254c;x=d2eeb50c56207950
kernel:         4.13.16-202.fc26.x86_64
package:        shotwell-0.26.4-1.fc26
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 saw-bgzlrhat@sawoct.com 2018-01-29 07:12:15 EST
Similar problem has been detected:

I cropped a JPG image, then saved it, then was quitting shotwell.
When quitting, for mysterious reasons I was asked to save unsaved changes, to which I agreed.
Then, while quitting, shotwell caught SIGSEGV.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        shotwell IMG_7583.JPG
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=ea36678748d14e7099e099899a277d45;i=13ec4b;b=886baa074a164de8b9d50334d3e14d94;m=294a0b7aa5a;t=563e8d8675ded;x=7ff434b75183cd45
kernel:         4.14.8-200.fc26.x86_64
package:        shotwell-0.26.4-1.fc26
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       3 5
type:           CCpp
uid:            577
Comment 15 Fedora End Of Life 2018-05-03 04:46:12 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2018-05-29 08:10:40 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.